<?php
echo '<h1>Can I run the ffmpeg mod?</h1>';
$blocked = array_map('trim',explode(',', ini_get('disable_functions')));
if(!function_exists('exec') || in_array('exec', $blocked)){
	echo '<strong>No</strong>. You cannot run this mod because <strong>exec</strong> is disabled by your host';
	exit;
}
if(strpos(PHP_OS,'WIN')===false){
	exec('which ffmpeg',$output,$returnstatus);
	if(is_array($output) && $output[0] != ''){
		exec($output[0].' -version',$out,$returnstatus);
		if($returnstatus != 0 || $out[0] == ''){
			echo '<strong>No</strong>. You cannot run this mod because the mod could not run ffmpeg (returnstatus '.$returnstatus.')';
			exit();
		}else{
			echo '<strong>Yes</strong>. You can run this mod. FFmpeg version found: '.$out[0].'<br />'.$out[1].'<br />Found at: '.$output[0];
			exit();
		}
	}else{
		echo '<strong>No</strong>. You cannot run this mod because the mod could not find ffmpeg installed on your server';
		exit();
	}
}else{
	echo '<strong>Maybe</strong>. You are running on Windows. You will have to enter the path to your ffmpeg installation manually';
	exit();
}
?>